cls
@echo off
 
cd /D %~dp0
COLOR 1E
echo --------------------------------------------------------------------------
echo - AVRDUDE CMD DEMO                                                       - 
echo - www.arduinoclub.de                                                     -
echo --------------------------------------------------------------------------
echo - Die Firmware Ihres Controllers wird angepasst.                         -
echo - Dabei wird die aktuelle Programmierung ueberschrieben.                 -
echo --------------------------------------------------------------------------
echo.
 
echo.
echo An welchem Port ist Ihr Mikrocontroller angeschlossen ?
echo.
::Eingabe des COM-Port verlangen
set /p COM=COM:

echo Waehlen Sie den zu programmierenden Controller.
echo --------------------------------------------------------------------------
echo - 1. TimeTracker Basisstation                                                    -
echo - 2. TimeTracker Basisstation neue Tastatur                                      -
echo - 3. TimeTracker Lichtschranken                                                  -
echo --------------------------------------------------------------------------
 
::Eingabe des zu programmierenden Controllers verlangen
set /p MIC= Controller Nummer:
 
:: Basisstation
if %MIC% == 1 set HEXFILE=Arduino_TT_Basis_III.ino.with_bootloader.hex
if %MIC% == 2 set HEXFILE=Arduino_TT_Basis_III_Neue_Tastatur.ino.with_bootloader.hex
if %MIC% == 3 set HEXFILE=Arduino_TT_LS_II.ino.with_bootloader.hex
 
echo.
echo Wollen Sie die Programmierung wirklich ausfuehren ?
set /p OVERWRITE= (j/n) :
if "%OVERWRITE%"=="n" goto abort
 
echo.
echo.
echo Programmierung wird gestartet. Bitte warten...
echo --------------------------------------------------------------------------
echo.
 
cd avr 
 
::genaue Parameter Erklaerung bekommt man mit dem Aufruf : avrdude -? 
@avrdude -patmega2560 -P\\.\COM%COM% -cwiring -Uflash:w:../hex/%HEXFILE% -D
 
::Wenn was schief laeuft erzeugt AVRDUDE einen Error > 0.
if %ERRORLEVEL%==0 goto end
echo --------------------------------------------------------------------------
echo Fehler !
echo Kontrollieren Sie : Com-Port Nummer,
echo Baudrate, USB Verbindung.
echo.
echo Starten Sie dann das Update neu.
echo --------------------------------------------------------------------------
echo.
pause
exit
 
:end
echo.
echo --------------------------------------------------------------------------
echo Programmierung erfolgreich !
echo --------------------------------------------------------------------------
echo.
pause
exit
 
:abort
echo.
echo --------------------------------------------------------------------------
echo Programmierung abgebrochen !
echo --------------------------------------------------------------------------
echo.
pause
exit